Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model.types
Class CHPAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.CHPAbstractType

All Implemented Interfaces:
  HDFType

Direct Known Subclasses:
  CharacterProperties

    public abstract class CHPAbstractType

extends java.lang.Object
implements HDFType

Character Properties. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  S. Ryan Ackley

Constructor Summary
`CHPAbstractType()`

Method Summary
`int` | `getBaseIstd()` Get the baseIstd field for the CHP record.
`BorderCode` | `getBrc()` Get the brc field for the CHP record.
`short` | `getChse()` Get the chse field for the CHP record.
`byte` | `getChYsr()` Get the chYsr field for the CHP record.
`DateAndTime` | `getDttmDispFldRMark()` Get the dttmDispFldRMark field for the CHP record.
`DateAndTime` | `getDttmPropRMark()` Get the dttmPropRMark field for the CHP record.
`DateAndTime` | `getDttmRMark()` Get the dttmRMark field for the CHP record.
`DateAndTime` | `getDttmRMarkDel()` Get the dttmRMarkDel field for the CHP record.
`int` | `getDxaSpace()` Get the dxaSpace field for the CHP record.
`int` | `getFcObj()` Get the fcObj field for the CHP record.
`int` | `getFcPic()` Get the fcPic field for the CHP record.
`byte` | `getFDispFldRMark()` Get the fDispFldRMark field for the CHP record.
`int` | `getFormat_flags()` Get the format_flags field for the CHP record.
`int` | `getFormat_flags1()` Get the format_flags1 field for the CHP record.
`short` | `getFPropMark()` Get the fPropMark field for the CHP record.
`int` | `getFtcAscii()` Get the ftcAscii field for the CHP record.
`int` | `getFtcFE()` Get the ftcFE field for the CHP record.
`int` | `getFtcOther()` Get the ftcOther field for the CHP record.
`int` | `getFtcSym()` Get the ftcSym field for the CHP record.
`short` | `getHighlight()` Get the Highlight field for the CHP record.
`int` | `getHps()` Get the hps field for the CHP record.
`int` | `getHpsKern()` Get the hpsKern field for the CHP record.
`int` | `getHpsPos()` Get the hpsPos field for the CHP record.
`int` | `getIbstDispFldRMark()` Get the ibstDispFldRMark field for the CHP record.
`int` | `getIbstPropRMark()` Get the ibstPropRMark field for the CHP record.
`int` | `getIbstRMark()` Get the ibstRMark field for the CHP record.
`int` | `getIbstRMarkDel()` Get the ibstRMarkDel field for the CHP record.
`byte` | `getIco()` Get the ico field for the CHP record.
`byte` | `getIcoHighlight()`
`byte` | `getIdctHint()` Get the idctHint field for the CHP record.
`int` | `getIdslReasonDel()` Get the idslReasonDel field for the CHP record.
`int` | `getIdslRMReason()` Get the idslRMReason field for the CHP record.
`byte` | `getIss()` Get the iss field for the CHP record.
`int` | `getIstd()` Get the istd field for the CHP record.
`byte` | `getKcd()`
`byte` | `getKul()` Get the kul field for the CHP record.
`int` | `getLidDefault()` Get the lidDefault field for the CHP record.
`int` | `getLidFE()` Get the lidFE field for the CHP record.
`int` | `getLTagObj()` Get the lTagObj field for the CHP record.
`byte` | `getSfxtText()` Get the sfxtText field for the CHP record.
`ShadingDescriptor` | `getShd()` Get the shd field for the CHP record.
`int` | `getSize()` Size of record (exluding 4 byte header)
`int` | `getWCharScale()` Get the wCharScale field for the CHP record.
`int` | `getXchSym()` Get the xchSym field for the CHP record.
`byte[]` | `getXstDispFldRMark()` Get the xstDispFldRMark field for the CHP record.
`byte` | `getYsr()` Get the ysr field for the CHP record.
`boolean` | `isFBold()`
`boolean` | `isFCaps()`
`boolean` | `isFChsDiff()`
`boolean` | `isFData()`
`boolean` | `isFDStrike()`
`boolean` | `isFEmboss()`
`boolean` | `isFFldVanish()`
`boolean` | `isFFtcAsciSym()`
`boolean` | `isFHighlight()`
`boolean` | `isFImprint()`
`boolean` | `isFItalic()`
`boolean` | `isFLowerCase()`
`boolean` | `isFMacChs()`
`boolean` | `isFNavHighlight()`
`boolean` | `isFObj()`
`boolean` | `isFOle2()`
`boolean` | `isFOutline()`
`boolean` | `isFRMark()`
`boolean` | `isFRMarkDel()`
`boolean` | `isFShadow()`
`boolean` | `isFSmallCaps()`
`boolean` | `isFSpec()`
`boolean` | `isFStrike()`
`boolean` | `isFUsePgsuSettings()`
`boolean` | `isFVanish()`
`void` | `setBaseIstd(int field_25_baseIstd)` Set the baseIstd field for the CHP record.
`void` | `setBrc(BorderCode field_43_brc)` Set the brc field for the CHP record.
`void` | `setChse(short field_1_chse)` Set the chse field for the CHP record.
`void` | `setChYsr(byte field_31_chYsr)` Set the chYsr field for the CHP record.
`void` | `setDttmDispFldRMark(DateAndTime field_40_dttmDispFldRMark)` Set the dttmDispFldRMark field for the CHP record.
`void` | `setDttmPropRMark(DateAndTime field_36_dttmPropRMark)` Set the dttmPropRMark field for the CHP record.
`void` | `setDttmRMark(DateAndTime field_22_dttmRMark)` Set the dttmRMark field for the CHP record.
`void` | `setDttmRMarkDel(DateAndTime field_23_dttmRMarkDel)` Set the dttmRMarkDel field for the CHP record.
`void` | `setDxaSpace(int field_8_dxaSpace)` Set the dxaSpace field for the CHP record.
`void` | `setFBold(boolean value)` Sets the fBold field value.
`void` | `setFCaps(boolean value)` Sets the fCaps field value.
`void` | `setFChsDiff(boolean value)` Sets the fChsDiff field value.
`void` | `setFcObj(int field_18_fcObj)` Set the fcObj field for the CHP record.
`void` | `setFcPic(int field_17_fcPic)` Set the fcPic field for the CHP record.
`void` | `setFData(boolean value)` Sets the fData field value.
`void` | `setFDispFldRMark(byte field_38_fDispFldRMark)` Set the fDispFldRMark field for the CHP record.
`void` | `setFDStrike(boolean value)` Sets the fDStrike field value.
`void` | `setFEmboss(boolean value)` Sets the fEmboss field value.
`void` | `setFFldVanish(boolean value)` Sets the fFldVanish field value.
`void` | `setFFtcAsciSym(boolean value)` Sets the fFtcAsciSym field value.
`void` | `setFHighlight(boolean value)` Sets the fHighlight field value.
`void` | `setFImprint(boolean value)` Sets the fImprint field value.
`void` | `setFItalic(boolean value)` Sets the fItalic field value.
`void` | `setFLowerCase(boolean value)` Sets the fLowerCase field value.
`void` | `setFMacChs(boolean value)` Sets the fMacChs field value.
`void` | `setFNavHighlight(boolean value)` Sets the fNavHighlight field value.
`void` | `setFObj(boolean value)` Sets the fObj field value.
`void` | `setFOle2(boolean value)` Sets the fOle2 field value.
`void` | `setFormat_flags(int field_2_format_flags)` Set the format_flags field for the CHP record.
`void` | `setFormat_flags1(int field_3_format_flags1)` Set the format_flags1 field for the CHP record.
`void` | `setFOutline(boolean value)` Sets the fOutline field value.
`void` | `setFPropMark(short field_34_fPropMark)` Set the fPropMark field for the CHP record.
`void` | `setFRMark(boolean value)` Sets the fRMark field value.
`void` | `setFRMarkDel(boolean value)` Sets the fRMarkDel field value.
`void` | `setFShadow(boolean value)` Sets the fShadow field value.
`void` | `setFSmallCaps(boolean value)` Sets the fSmallCaps field value.
`void` | `setFSpec(boolean value)` Sets the fSpec field value.
`void` | `setFStrike(boolean value)` Sets the fStrike field value.
`void` | `setFtcAscii(int field_4_ftcAscii)` Set the ftcAscii field for the CHP record.
`void` | `setFtcFE(int field_5_ftcFE)` Set the ftcFE field for the CHP record.
`void` | `setFtcOther(int field_6_ftcOther)` Set the ftcOther field for the CHP record.
`void` | `setFtcSym(int field_26_ftcSym)` Set the ftcSym field for the CHP record.
`void` | `setFUsePgsuSettings(boolean value)` Sets the fUsePgsuSettings field value.
`void` | `setFVanish(boolean value)` Sets the fVanish field value.
`void` | `setHighlight(short field_33_Highlight)` Set the Highlight field for the CHP record.
`void` | `setHps(int field_7_hps)` Set the hps field for the CHP record.
`void` | `setHpsKern(int field_32_hpsKern)` Set the hpsKern field for the CHP record.
`void` | `setHpsPos(int field_12_hpsPos)` Set the hpsPos field for the CHP record.
`void` | `setIbstDispFldRMark(int field_39_ibstDispFldRMark)` Set the ibstDispFldRMark field for the CHP record.
`void` | `setIbstPropRMark(int field_35_ibstPropRMark)` Set the ibstPropRMark field for the CHP record.
`void` | `setIbstRMark(int field_20_ibstRMark)` Set the ibstRMark field for the CHP record.
`void` | `setIbstRMarkDel(int field_21_ibstRMarkDel)` Set the ibstRMarkDel field for the CHP record.
`void` | `setIco(byte field_11_ico)` Set the ico field for the CHP record.
`void` | `setIcoHighlight(byte value)` Sets the icoHighlight field value.
`void` | `setIdctHint(byte field_15_idctHint)` Set the idctHint field for the CHP record.
`void` | `setIdslReasonDel(int field_29_idslReasonDel)` Set the idslReasonDel field for the CHP record.
`void` | `setIdslRMReason(int field_28_idslRMReason)` Set the idslRMReason field for the CHP record.
`void` | `setIss(byte field_9_iss)` Set the iss field for the CHP record.
`void` | `setIstd(int field_24_istd)` Set the istd field for the CHP record.
`void` | `setKcd(byte value)` Sets the kcd field value.
`void` | `setKul(byte field_10_kul)` Set the kul field for the CHP record.
`void` | `setLidDefault(int field_13_lidDefault)` Set the lidDefault field for the CHP record.
`void` | `setLidFE(int field_14_lidFE)` Set the lidFE field for the CHP record.
`void` | `setLTagObj(int field_19_lTagObj)` Set the lTagObj field for the CHP record.
`void` | `setSfxtText(byte field_37_sfxtText)` Set the sfxtText field for the CHP record.
`void` | `setShd(ShadingDescriptor field_42_shd)` Set the shd field for the CHP record.
`void` | `setWCharScale(int field_16_wCharScale)` Set the wCharScale field for the CHP record.
`void` | `setXchSym(int field_27_xchSym)` Set the xchSym field for the CHP record.
`void` | `setXstDispFldRMark(byte[] field_41_xstDispFldRMark)` Set the xstDispFldRMark field for the CHP record.
`void` | `setYsr(byte field_30_ysr)` Set the ysr field for the CHP record.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CHPAbstractType

    public CHPAbstractType()

Method Detail

### getSize

    public int getSize()

  Size of record (exluding 4 byte header)

### getChse

    public short getChse()

  Get the chse field for the CHP record.

### setChse

    public void setChse(short field_1_chse)

  Set the chse field for the CHP record.

### getFormat_flags

    public int getFormat_flags()

  Get the format_flags field for the CHP record.

### setFormat_flags

    public void setFormat_flags(int field_2_format_flags)

  Set the format_flags field for the CHP record.

### getFormat_flags1

    public int getFormat_flags1()

  Get the format_flags1 field for the CHP record.

### setFormat_flags1

    public void setFormat_flags1(int field_3_format_flags1)

  Set the format_flags1 field for the CHP record.

### getFtcAscii

    public int getFtcAscii()

  Get the ftcAscii field for the CHP record.

### setFtcAscii

    public void setFtcAscii(int field_4_ftcAscii)

  Set the ftcAscii field for the CHP record.

### getFtcFE

    public int getFtcFE()

  Get the ftcFE field for the CHP record.

### setFtcFE

    public void setFtcFE(int field_5_ftcFE)

  Set the ftcFE field for the CHP record.

### getFtcOther

    public int getFtcOther()

  Get the ftcOther field for the CHP record.

### setFtcOther

    public void setFtcOther(int field_6_ftcOther)

  Set the ftcOther field for the CHP record.

### getHps

    public int getHps()

  Get the hps field for the CHP record.

### setHps

    public void setHps(int field_7_hps)

  Set the hps field for the CHP record.

### getDxaSpace

    public int getDxaSpace()

  Get the dxaSpace field for the CHP record.

### setDxaSpace

    public void setDxaSpace(int field_8_dxaSpace)

  Set the dxaSpace field for the CHP record.

### getIss

    public byte getIss()

  Get the iss field for the CHP record.

### setIss

    public void setIss(byte field_9_iss)

  Set the iss field for the CHP record.

### getKul

    public byte getKul()

  Get the kul field for the CHP record.

### setKul

    public void setKul(byte field_10_kul)

  Set the kul field for the CHP record.

### getIco

    public byte getIco()

  Get the ico field for the CHP record.

### setIco

    public void setIco(byte field_11_ico)

  Set the ico field for the CHP record.

### getHpsPos

    public int getHpsPos()

  Get the hpsPos field for the CHP record.

### setHpsPos

    public void setHpsPos(int field_12_hpsPos)

  Set the hpsPos field for the CHP record.

### getLidDefault

    public int getLidDefault()

  Get the lidDefault field for the CHP record.

### setLidDefault

    public void setLidDefault(int field_13_lidDefault)

  Set the lidDefault field for the CHP record.

### getLidFE

    public int getLidFE()

  Get the lidFE field for the CHP record.

### setLidFE

    public void setLidFE(int field_14_lidFE)

  Set the lidFE field for the CHP record.

### getIdctHint

    public byte getIdctHint()

  Get the idctHint field for the CHP record.

### setIdctHint

    public void setIdctHint(byte field_15_idctHint)

  Set the idctHint field for the CHP record.

### getWCharScale

    public int getWCharScale()

  Get the wCharScale field for the CHP record.

### setWCharScale

    public void setWCharScale(int field_16_wCharScale)

  Set the wCharScale field for the CHP record.

### getFcPic

    public int getFcPic()

  Get the fcPic field for the CHP record.

### setFcPic

    public void setFcPic(int field_17_fcPic)

  Set the fcPic field for the CHP record.

### getFcObj

    public int getFcObj()

  Get the fcObj field for the CHP record.

### setFcObj

    public void setFcObj(int field_18_fcObj)

  Set the fcObj field for the CHP record.

### getLTagObj

    public int getLTagObj()

  Get the lTagObj field for the CHP record.

### setLTagObj

    public void setLTagObj(int field_19_lTagObj)

  Set the lTagObj field for the CHP record.

### getIbstRMark

    public int getIbstRMark()

  Get the ibstRMark field for the CHP record.

### setIbstRMark

    public void setIbstRMark(int field_20_ibstRMark)

  Set the ibstRMark field for the CHP record.

### getIbstRMarkDel

    public int getIbstRMarkDel()

  Get the ibstRMarkDel field for the CHP record.

### setIbstRMarkDel

    public void setIbstRMarkDel(int field_21_ibstRMarkDel)

  Set the ibstRMarkDel field for the CHP record.

### getDttmRMark

    public DateAndTime getDttmRMark()

  Get the dttmRMark field for the CHP record.

### setDttmRMark

    public void setDttmRMark(DateAndTime field_22_dttmRMark)

  Set the dttmRMark field for the CHP record.

### getDttmRMarkDel

    public DateAndTime getDttmRMarkDel()

  Get the dttmRMarkDel field for the CHP record.

### setDttmRMarkDel

    public void setDttmRMarkDel(DateAndTime field_23_dttmRMarkDel)

  Set the dttmRMarkDel field for the CHP record.

### getIstd

    public int getIstd()

  Get the istd field for the CHP record.

### setIstd

    public void setIstd(int field_24_istd)

  Set the istd field for the CHP record.

### getBaseIstd

    public int getBaseIstd()

  Get the baseIstd field for the CHP record.

### setBaseIstd

    public void setBaseIstd(int field_25_baseIstd)

  Set the baseIstd field for the CHP record.

### getFtcSym

    public int getFtcSym()

  Get the ftcSym field for the CHP record.

### setFtcSym

    public void setFtcSym(int field_26_ftcSym)

  Set the ftcSym field for the CHP record.

### getXchSym

    public int getXchSym()

  Get the xchSym field for the CHP record.

### setXchSym

    public void setXchSym(int field_27_xchSym)

  Set the xchSym field for the CHP record.

### getIdslRMReason

    public int getIdslRMReason()

  Get the idslRMReason field for the CHP record.

### setIdslRMReason

    public void setIdslRMReason(int field_28_idslRMReason)

  Set the idslRMReason field for the CHP record.

### getIdslReasonDel

    public int getIdslReasonDel()

  Get the idslReasonDel field for the CHP record.

### setIdslReasonDel

    public void setIdslReasonDel(int field_29_idslReasonDel)

  Set the idslReasonDel field for the CHP record.

### getYsr

    public byte getYsr()

  Get the ysr field for the CHP record.

### setYsr

    public void setYsr(byte field_30_ysr)

  Set the ysr field for the CHP record.

### getChYsr

    public byte getChYsr()

  Get the chYsr field for the CHP record.

### setChYsr

    public void setChYsr(byte field_31_chYsr)

  Set the chYsr field for the CHP record.

### getHpsKern

    public int getHpsKern()

  Get the hpsKern field for the CHP record.

### setHpsKern

    public void setHpsKern(int field_32_hpsKern)

  Set the hpsKern field for the CHP record.

### getHighlight

    public short getHighlight()

  Get the Highlight field for the CHP record.

### setHighlight

    public void setHighlight(short field_33_Highlight)

  Set the Highlight field for the CHP record.

### getFPropMark

    public short getFPropMark()

  Get the fPropMark field for the CHP record.

### setFPropMark

    public void setFPropMark(short field_34_fPropMark)

  Set the fPropMark field for the CHP record.

### getIbstPropRMark

    public int getIbstPropRMark()

  Get the ibstPropRMark field for the CHP record.

### setIbstPropRMark

    public void setIbstPropRMark(int field_35_ibstPropRMark)

  Set the ibstPropRMark field for the CHP record.

### getDttmPropRMark

    public DateAndTime getDttmPropRMark()

  Get the dttmPropRMark field for the CHP record.

### setDttmPropRMark

    public void setDttmPropRMark(DateAndTime field_36_dttmPropRMark)

  Set the dttmPropRMark field for the CHP record.

### getSfxtText

    public byte getSfxtText()

  Get the sfxtText field for the CHP record.

### setSfxtText

    public void setSfxtText(byte field_37_sfxtText)

  Set the sfxtText field for the CHP record.

### getFDispFldRMark

    public byte getFDispFldRMark()

  Get the fDispFldRMark field for the CHP record.

### setFDispFldRMark

    public void setFDispFldRMark(byte field_38_fDispFldRMark)

  Set the fDispFldRMark field for the CHP record.

### getIbstDispFldRMark

    public int getIbstDispFldRMark()

  Get the ibstDispFldRMark field for the CHP record.

### setIbstDispFldRMark

    public void setIbstDispFldRMark(int field_39_ibstDispFldRMark)

  Set the ibstDispFldRMark field for the CHP record.

### getDttmDispFldRMark

    public DateAndTime getDttmDispFldRMark()

  Get the dttmDispFldRMark field for the CHP record.

### setDttmDispFldRMark

    public void setDttmDispFldRMark(DateAndTime field_40_dttmDispFldRMark)

  Set the dttmDispFldRMark field for the CHP record.

### getXstDispFldRMark

    public byte[] getXstDispFldRMark()

  Get the xstDispFldRMark field for the CHP record.

### setXstDispFldRMark

    public void setXstDispFldRMark(byte[] field_41_xstDispFldRMark)

  Set the xstDispFldRMark field for the CHP record.

### getShd

    public ShadingDescriptor getShd()

  Get the shd field for the CHP record.

### setShd

    public void setShd(ShadingDescriptor field_42_shd)

  Set the shd field for the CHP record.

### getBrc

    public BorderCode getBrc()

  Get the brc field for the CHP record.

### setBrc

    public void setBrc(BorderCode field_43_brc)

  Set the brc field for the CHP record.

### setFBold

    public void setFBold(boolean value)

  Sets the fBold field value.

### isFBold

    public boolean isFBold()

  Returns:
    the fBold field value.

### setFItalic

    public void setFItalic(boolean value)

  Sets the fItalic field value.

### isFItalic

    public boolean isFItalic()

  Returns:
    the fItalic field value.

### setFRMarkDel

    public void setFRMarkDel(boolean value)

  Sets the fRMarkDel field value.

### isFRMarkDel

    public boolean isFRMarkDel()

  Returns:
    the fRMarkDel field value.

### setFOutline

    public void setFOutline(boolean value)

  Sets the fOutline field value.

### isFOutline

    public boolean isFOutline()

  Returns:
    the fOutline field value.

### setFFldVanish

    public void setFFldVanish(boolean value)

  Sets the fFldVanish field value.

### isFFldVanish

    public boolean isFFldVanish()

  Returns:
    the fFldVanish field value.

### setFSmallCaps

    public void setFSmallCaps(boolean value)

  Sets the fSmallCaps field value.

### isFSmallCaps

    public boolean isFSmallCaps()

  Returns:
    the fSmallCaps field value.

### setFCaps

    public void setFCaps(boolean value)

  Sets the fCaps field value.

### isFCaps

    public boolean isFCaps()

  Returns:
    the fCaps field value.

### setFVanish

    public void setFVanish(boolean value)

  Sets the fVanish field value.

### isFVanish

    public boolean isFVanish()

  Returns:
    the fVanish field value.

### setFRMark

    public void setFRMark(boolean value)

  Sets the fRMark field value.

### isFRMark

    public boolean isFRMark()

  Returns:
    the fRMark field value.

### setFSpec

    public void setFSpec(boolean value)

  Sets the fSpec field value.

### isFSpec

    public boolean isFSpec()

  Returns:
    is the fSpec field value set? (Also known as sprmCFSpec)

### setFStrike

    public void setFStrike(boolean value)

  Sets the fStrike field value.

### isFStrike

    public boolean isFStrike()

  Returns:
    the fStrike field value.

### setFObj

    public void setFObj(boolean value)

  Sets the fObj field value.

### isFObj

    public boolean isFObj()

  Returns:
    the fObj field value.

### setFShadow

    public void setFShadow(boolean value)

  Sets the fShadow field value.

### isFShadow

    public boolean isFShadow()

  Returns:
    the fShadow field value.

### setFLowerCase

    public void setFLowerCase(boolean value)

  Sets the fLowerCase field value.

### isFLowerCase

    public boolean isFLowerCase()

  Returns:
    the fLowerCase field value.

### setFData

    public void setFData(boolean value)

  Sets the fData field value.

### isFData

    public boolean isFData()

  Returns:
    the fData field value.

### setFOle2

    public void setFOle2(boolean value)

  Sets the fOle2 field value.

### isFOle2

    public boolean isFOle2()

  Returns:
    the fOle2 field value.

### setFEmboss

    public void setFEmboss(boolean value)

  Sets the fEmboss field value.

### isFEmboss

    public boolean isFEmboss()

  Returns:
    the fEmboss field value.

### setFImprint

    public void setFImprint(boolean value)

  Sets the fImprint field value.

### isFImprint

    public boolean isFImprint()

  Returns:
    the fImprint field value.

### setFDStrike

    public void setFDStrike(boolean value)

  Sets the fDStrike field value.

### isFDStrike

    public boolean isFDStrike()

  Returns:
    the fDStrike field value.

### setFUsePgsuSettings

    public void setFUsePgsuSettings(boolean value)

  Sets the fUsePgsuSettings field value.

### isFUsePgsuSettings

    public boolean isFUsePgsuSettings()

  Returns:
    the fUsePgsuSettings field value.

### setIcoHighlight

    public void setIcoHighlight(byte value)

  Sets the icoHighlight field value.

### getIcoHighlight

    public byte getIcoHighlight()

  Returns:
    the icoHighlight field value.

### setFHighlight

    public void setFHighlight(boolean value)

  Sets the fHighlight field value.

### isFHighlight

    public boolean isFHighlight()

  Returns:
    the fHighlight field value.

### setKcd

    public void setKcd(byte value)

  Sets the kcd field value.

### getKcd

    public byte getKcd()

  Returns:
    the kcd field value.

### setFNavHighlight

    public void setFNavHighlight(boolean value)

  Sets the fNavHighlight field value.

### isFNavHighlight

    public boolean isFNavHighlight()

  Returns:
    the fNavHighlight field value.

### setFChsDiff

    public void setFChsDiff(boolean value)

  Sets the fChsDiff field value.

### isFChsDiff

    public boolean isFChsDiff()

  Returns:
    the fChsDiff field value.

### setFMacChs

    public void setFMacChs(boolean value)

  Sets the fMacChs field value.

### isFMacChs

    public boolean isFMacChs()

  Returns:
    the fMacChs field value.

### setFFtcAsciSym

    public void setFFtcAsciSym(boolean value)

  Sets the fFtcAsciSym field value.

### isFFtcAsciSym

    public boolean isFFtcAsciSym()

  Returns:
    the fFtcAsciSym field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD